Imports Telerik.Web.UI
Imports System.Data.SqlClient
Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page



    Protected Sub RadGrid1_ItemCreated(ByVal sender As Object, ByVal e As Telerik.Web.UI.GridItemEventArgs) Handles RadGrid1.ItemCreated
        If TypeOf e.Item Is GridFilteringItem Then
            Dim filterItem As GridFilteringItem = CType(e.Item, GridFilteringItem)

            'detach onblur event handler for orderid and shipname columns
            CType(filterItem("OrderId").Controls(0), RadNumericTextBox).Attributes("onchange") = ""
            CType(filterItem("ShipName").Controls(0), TextBox).Attributes("onchange") = ""
        End If
    End Sub
End Class
